<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Table and Forms</title>
</head>
<body>
	<header>
		<h1>HTML Table and Forms</h1>
	</header>
	<main>
		<section>
			<h2>HTML Entities</h2>
			<p><em>Resevered Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>
		</section>
<!-- html table -->
		<table border="1">
			<!-- table header content -->
			<thead>
				<!-- defines table row -->
				<tr>
					<!-- table header -->
					<th colspan="2">
						Entity
					</th>
					<th>Description</th>
					
				</tr>
				
			</thead>
<!-- used to group body content -->
			<tbody>
				<tr>
					<!-- defines table elements -->
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>peso sign</td>
				</tr>
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>lower tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>ntilde</td>
					<td>upper tilde</td>
				</tr>
				<tfoot>
					<tr>
						<th colspan="5">list of html entities</th>
					</tr>
				</tfoot>
				<table>
					<section>
						<h2>HTML Forms</h2>
						<p><em>Inputs elements that make form</em></p>
<!-- create html form to capture user input -->
						<form action="https://google.com">
							<!-- creates label to allow for input field -->
							<label for="full_name">
								Full name:
							</label>
							<!-- creates an input field to capture user input-->
							<input type="text" name="full_name" id="full_name" required><br>
							<label for="birth_date">Birth Date:</label>
							<input type="date" name="birth_date" id="birth_date" required><br>
							<label for="age">Age:</label>
							<input type="number" name="age" id="age" required><br>
							
							<label for="gender">Gender:</label><br>
				<!-- Creates a dropdown selection -->
				<select name="gender" id="gender">
					<!-- Creates an optionm for the dropdown menu -->
					<option value="">--Select Gender--</option>
					<option value="male">Male</option>
					<option value="female">Female</option>
				</select><br>
	<label for="notes">notes</label><br>
	<textarea name="notes" id="notes" rows="8"></textarea><br>

	<!-- radio button -->
	<label>New user:</label><br>
	<input type="radio" name="new_user" id="user_type1" type="yes">
	<label for="user_type1">yes</label><br>
	<input type="radio" name="new_user" id="user_type2" type="no">
	<label for="user_type2">no</label><br>

	<!-- check box -->
	<label>Role:</label><br>

	<input type="checkbox" name="role1" id="role1" value="developer">
	<label for="role1">developer</label>
	<input type="checkbox" name="role2" id="role2" value="student">
	<label for="role2">student</label>
	<input type="checkbox" name="role3" id="role3" value="manager">
	<label for="role2">manager</label><br>

	<!-- button -->

	<button type="submit">submit</button>
	<!-- reset the form -->
	<button type="reset">reset</button>







						</form>
					</section>
				</table>

				
			</tbody>
		</table>

	</main>
</body>
</html>